Delete a custom plugin
DELETE /api/gateway_groups/{gateway_group_id}/custom_plugins/{custom_plugin_name}
DELETE /api/gateway_groups/{gateway_group_id}/custom_plugins/{custom_plugin_name}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthcustom_plugin_name*string
Custom plugin name, as declared by the plugin code.
Response Body
application/json
curl -X DELETE "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/custom_plugins/string"Successful operation.
{
"value": {}
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
DELETE /api/gateway_groups/{gateway_group_id}/custom_plugins/{custom_plugin_name}
Delete a custom plugin
Remove the custom plugin from the gateway group. The plugin must no longer be referenced by the resources of this gateway group.
Required IAM Permission: Action gateway:DeleteCustomPlugin, Resource arn:api7:gateway:gatewaygroup/{gateway_group_id}
Parameters
gateway_group_id(path, string, required): Gateway group ID.custom_plugin_name(path, string, required): Custom plugin name, as declared by the plugin code.
Responses
200: Successful operation.value(object, optional): The specific resource.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X DELETE '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/custom_plugins/{custom_plugin_name}'